/*
 * Copyright © 2011 Nokia Corporation. All rights reserved.
 * Nokia and Nokia Connecting People are registered trademarks of Nokia Corporation. 
 * Oracle and Java are trademarks or registered trademarks of Oracle and/or its
 * affiliates. Other product and company names mentioned herein may be trademarks
 * or trade names of their respective owners. 
 * See LICENSE.TXT for license information.
 */
package com.nokia.example.moviebooking.moviedb;

/**
 * Simple class representing a booking ticket created by MovieDB in the
 * sendBookingRequest method
 */
public class BookingTicket {

    private final double price;
    private final int code;

    BookingTicket(double price, int code) {
        this.price = price;
        this.code = code;
    }

    public int getCode() {
        return code;
    }

    public double getPrice() {
        return price;
    }
}
