/*
 * Copyright © 2011 Nokia Corporation. All rights reserved.
 * Nokia and Nokia Connecting People are registered trademarks of Nokia Corporation. 
 * Oracle and Java are trademarks or registered trademarks of Oracle and/or its
 * affiliates. Other product and company names mentioned herein may be trademarks
 * or trade names of their respective owners. 
 * See LICENSE.TXT for license information.
 */
package com.nokia.example.moviebooking.moviedb;

import java.util.Vector;

/**
 * Simple class encapsulating a Movie instance
 */
public class Movie {

    private final String name;
    private final String imageLocation;
    private final String description;
    private final Vector showings;

    public Movie(String name, String imageLocation, String description, Vector showings) {
        this.name = name;
        this.imageLocation = imageLocation;
        this.description = description;
        this.showings = showings;
    }

    public String getName() {
        return name;
    }

    public String getDescription() {
        return description;
    }

    public String getImageLocation() {
        return imageLocation;
    }

    public Vector getShowings() {
        return showings;
    }
}
