/*
 * Copyright © 2011 Nokia Corporation. All rights reserved.
 * Nokia and Nokia Connecting People are registered trademarks of Nokia Corporation. 
 * Oracle and Java are trademarks or registered trademarks of Oracle and/or its
 * affiliates. Other product and company names mentioned herein may be trademarks
 * or trade names of their respective owners. 
 * See LICENSE.TXT for license information.
 */
package com.nokia.example.moviebooking.moviedb;

/**
 * MovieDBEvent represents events triggered by MovieDB
 */
public class MovieDBEvent {

    public final static int CONNECTING = 1;
    public final static int DATA_LOADED = 2;
    public final static int MOVIES_COUNT = 3;
    public final static int MOVIE_LOADED = 4;
    public final static int MOVIE_RESERVED = 5;
    public final static int DATA_ERROR = 6;
    public final static int RESERVATION_REQUESTED = 7;
    private final int event;
    private final Object data;

    MovieDBEvent(int event, Object data) {
        this.event = event;
        this.data = data;
    }

    public int getEvent() {
        return event;
    }

    public Object getData() {
        return data;
    }
}
