/*
 * Copyright © 2011 Nokia Corporation. All rights reserved.
 * Nokia and Nokia Connecting People are registered trademarks of Nokia Corporation. 
 * Oracle and Java are trademarks or registered trademarks of Oracle and/or its
 * affiliates. Other product and company names mentioned herein may be trademarks
 * or trade names of their respective owners. 
 * See LICENSE.TXT for license information.
 */
package com.nokia.example.moviebooking.moviedb;

import java.util.Date;

/**
 * Simple class encapsulating a particular Showing of a Movie
 */
public class Showing {

    private final Date date;
    private final double price;
    // plan of seats. locations with value true are already booked
    private final boolean[][] seating;

    public Showing(Date date, double price, boolean[][] seating) {
        this.date = date;
        this.price = price;
        this.seating = seating;
    }

    public Date getDate() {
        return date;
    }

    public boolean[][] getSeating() {
        return seating;
    }

    public double getPrice() {
        return price;
    }
}
